Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.vm.buildins.dialogs
Class Predicate_dialog

    java.lang.Object
      gnu.prolog.vm.ExecuteOnlyCode
          gnu.prolog.vm.buildins.dialogs.Predicate_dialog

All Implemented Interfaces:
  Installable, PrologCode

Direct Known Subclasses:
  Predicate_confirm, Predicate_file_save, Predicate_message, Predicate_prompt

    public abstract class Predicate_dialog

extends ExecuteOnlyCode

Author:
  Michiel Hendriks

Nested Class Summary
`static class` | `Predicate_dialog.DialogOptions`

Field Summary
`static AtomTerm` | `ABORT_ATOM`
`static AtomTerm` | `CANCEL_ATOM`
`static AtomTerm` | `DIALOG_OPTION_ATOM`
`static AtomTerm` | `ERROR_ATOM`
`static CompoundTermTag` | `FILEMASK_TAG`
`static AtomTerm` | `IGNORE_ATOM`
`static AtomTerm` | `INFO_ATOM`
`static CompoundTermTag` | `MESSAGE_TAG`
`static AtomTerm` | `NO_ATOM`
`static AtomTerm` | `OK_ATOM`
`static AtomTerm` | `QUESTION_ATOM`
`static AtomTerm` | `RETRY_ATOM`
`static CompoundTermTag` | `SELECTION_TAG`
`static CompoundTermTag` | `TITLE_TAG`
`static CompoundTermTag` | `TYPE_TAG`
`static AtomTerm` | `WARNING_ATOM`
`static AtomTerm` | `YES_ATOM`

Fields inherited from interface gnu.prolog.vm.PrologCode
`FAIL, HALT, SUCCESS, SUCCESS_LAST`

Constructor Summary
`Predicate_dialog()`

Method Summary
`protected Predicate_dialog.DialogOptions` | `processOptions(Term optionsList)` Process dialog options

Methods inherited from class gnu.prolog.vm.ExecuteOnlyCode
`execute, install, uninstall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIALOG_OPTION_ATOM

    public static final AtomTerm DIALOG_OPTION_ATOM

### OK_ATOM

    public static final AtomTerm OK_ATOM

### CANCEL_ATOM

    public static final AtomTerm CANCEL_ATOM

### YES_ATOM

    public static final AtomTerm YES_ATOM

### NO_ATOM

    public static final AtomTerm NO_ATOM

### IGNORE_ATOM

    public static final AtomTerm IGNORE_ATOM

### ABORT_ATOM

    public static final AtomTerm ABORT_ATOM

### RETRY_ATOM

    public static final AtomTerm RETRY_ATOM

### TITLE_TAG

    public static final CompoundTermTag TITLE_TAG

### MESSAGE_TAG

    public static final CompoundTermTag MESSAGE_TAG

### SELECTION_TAG

    public static final CompoundTermTag SELECTION_TAG

### FILEMASK_TAG

    public static final CompoundTermTag FILEMASK_TAG

### TYPE_TAG

    public static final CompoundTermTag TYPE_TAG

### ERROR_ATOM

    public static final AtomTerm ERROR_ATOM

### WARNING_ATOM

    public static final AtomTerm WARNING_ATOM

### INFO_ATOM

    public static final AtomTerm INFO_ATOM

### QUESTION_ATOM

    public static final AtomTerm QUESTION_ATOM

Constructor Detail

### Predicate_dialog

    public Predicate_dialog()

Method Detail

### processOptions

    protected Predicate_dialog.DialogOptions processOptions(Term optionsList)
                                                     throws PrologException

  Process dialog options

  Parameters:
    `optionsList` -
  Returns:
    the processed DialogOptions
  Throws:
    `PrologException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD